Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class GetResponse

    java.lang.Object
      com.rabbitmq.client.GetResponse

    public class GetResponse

extends java.lang.Object

Encapsulates the response from a `Channel.basicGet(java.lang.String, boolean)` message-retrieval method call - essentially a static bean "holder" with message response data.

Constructor Summary
`GetResponse(Envelope envelope, AMQP.BasicProperties props, byte[] body, int messageCount)` Construct a `GetResponse` with the specified construction parameters

Method Summary
`byte[]` | `getBody()` Get the message body included in this response
`Envelope` | `getEnvelope()` Get the `Envelope` included in this response
`int` | `getMessageCount()` Get the server's most recent estimate of the number of messages remaining on the queue.
`AMQP.BasicProperties` | `getProps()` Get the `BasicProperties` included in this response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetResponse

    public GetResponse(Envelope envelope,
                       AMQP.BasicProperties props,
                       byte[] body,
                       int messageCount)

  Construct a `GetResponse` with the specified construction parameters

  Parameters:
    `envelope` - the `Envelope`
    `props` - message properties
    `body` - the message body
    `messageCount` - the server's most recent estimate of the number of messages remaining on the queue

Method Detail

### getEnvelope

    public Envelope getEnvelope()

  Get the `Envelope` included in this response

  Returns:
    the envelope

### getProps

    public AMQP.BasicProperties getProps()

  Get the `BasicProperties` included in this response

  Returns:
    the properties

### getBody

    public byte[] getBody()

  Get the message body included in this response

  Returns:
    the message body

### getMessageCount

    public int getMessageCount()

  Get the server's most recent estimate of the number of messages remaining on the queue. This number can only ever be a rough estimate, because of concurrent activity at the server and the delay between the server sending its estimate and the client receiving and processing the message containing the estimate.

  According to the AMQP specification, this figure does not include the message being delivered. For example, this field will be zero in the simplest case of a single reader issuing a Basic.Get on a private queue holding a single message (the message being delivered in this GetResponse).

  Returns:
    an estimate of the number of messages remaining to be read from the queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD